System.Xml [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 To be added System.SystemException

The class may contain sensitive information that should not be exposed in untrusted scenarios. For example, the property returns the URI path to the schema file that caused the exception. The property should not be exposed in untrusted scenarios. Exceptions should be properly handled so that this sensitive information is not exposed in untrusted scenarios.

Returns detailed information about the schema exception.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the exception message specified.

  A string description of the error condition.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Constructs a new XmlSchemaException object with the given SerializationInfo and StreamingContext information that contains all the properties of the XmlSchemaException.

  SerializationInfo.
  StreamingContext.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class with the exception message and original object that caused this exception specified.

  A string description of the error condition.
  The original T:System.Exception object that caused this exception.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the exception message specified, and the original object, line number, and line position of the XML that cause this exception specified.

  A string description of the error condition.
  The original T:System.Exception object that caused this exception.
  The line number of the XML that caused this exception.
  The line position of the XML that caused this exception.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added.

  Streams all the XmlSchemaException properties into the SerializationInfo class for the given StreamingContext.

  The SerializationInfo. The StreamingContext information.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added: an object of type 'int' To be added

  Gets the line number indicating where the error occurred.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added: an object of type 'int' To be added

  Gets the line position indicating where the error occurred.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added. To be added.

  Gets the description of the error condition of this exception.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.Schema.XmlSchemaObject To be added: an object of type 'XmlSchemaObject'

  This can be queried for the LineNumber, LinePosition, and SourceUri of the XML Schema definition language (XSD) schema file. A return value of nil indicates a syntactic parsing validation error in the SOM.

  The XmlSchemaObject that produced the XmlSchemaException.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string'

  The property returns the URI path to the schema file that caused the exception. The property should not be exposed in untrusted scenarios.

  Gets the Uniform Resource Identifier (URI) location of the schema that caused the exception.